Get workflow resource
curl --request GET \
--url https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows/{workflowId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows/{workflowId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entryNodeId": "x",
"nodes": [
{
"id": "x",
"position": [
0
],
"type": "amply",
"config": {
"operation": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"resource": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"id": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"metadata": {
"filters": {
"type": "object",
"value": [
{
"key": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"value": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
],
"useExpression": true,
"expression": "string"
},
"filtersLogical": {
"type": "enum",
"value": "$and",
"useExpression": true,
"expression": "string"
},
"preview": true,
"cursors": {
"limit": {
"type": "number",
"value": 0,
"useExpression": true,
"expression": "string"
},
"skip": {
"type": "number",
"value": 0,
"useExpression": true,
"expression": "string"
},
"sort": {},
"startId": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
},
"body": {
"type": "object",
"value": [
{
"key": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"value": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
],
"useExpression": true,
"expression": "string"
}
},
"name": "x",
"errorBehavior": "stopWorkflow",
"onSuccess": "x",
"onError": "x"
}
],
"name": "x",
"_id": "64b7f8b6f23a4a4f3d0a9b12",
"_createdAt": "2024-01-01T00:00:00.000Z",
"description": "string",
"status": "enabled",
"trigger": {
"type": "manual"
},
"metadata": {},
"_updatedAt": "2024-01-01T00:00:00.000Z",
"_reference": "string"
}workflow resource
Get workflow resource
GET
/
v1
/
users
/
{userId}
/
broadcasts
/
{broadcastId}
/
workflows
/
{workflowId}
Get workflow resource
Authorizations
Use the format X-API-KEY YOUR_API_KEY. Each key is tied to a single broadcast.
Path Parameters
Resource identifier.
Resource identifier.
Resource identifier.
Response
200 - application/json
Success
Minimum string length:
1Example:
"x"
nodes
(amply · object | http · object | foreach · object | auth · object | if · object | code · object)[]
required
Définition des nodes du workflow. Chaque node possède: id, position [x,y], type, config, onSuccess, onError. Les variables runtime des code nodes sont documentées dans config.code.
- amply
- http
- foreach
- auth
- if
- code
Show child attributes
Show child attributes
Minimum string length:
1Example:
"x"
Example:
"64b7f8b6f23a4a4f3d0a9b12"
Example:
"2024-01-01T00:00:00.000Z"
Example:
"string"
Available options:
enabled, disabled Example:
"enabled"
- manual
- interval
- schedule
- once
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2024-01-01T00:00:00.000Z"
Example:
"string"
Was this page helpful?
⌘I